<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel common\models\search\SikkLogSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Daftar Keluar Masuk Mahasiswa';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="sikk-log-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

<!--    <p>
        <?= Html::a('Create Sikk Log', ['create'], ['class' => 'btn btn-success']) ?>
    </p>-->
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
//        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

//            'log_id',
            [
                'attribute'=>'mhs_id',
                'label'=>'Nama Mahasiswa',
                'value'=>'mhs.nama',
            ],
            'time_in',
            'time_out',
            'status',
//            'deleted',
            // 'created_at',
            // 'created_by',
            // 'updated_at',
            // 'updated_by',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
</div>
