<?php

use yii\helpers\Html;

/* @var $this \yii\web\View */
/* @var $content string */
?>

<header class="main-header">

    <?= Html::a('<span class="logo-mini">SIKK</span><span class="logo-lg">' . Yii::$app->name . '</span>', Yii::$app->homeUrl, ['class' => 'logo']) ?>

    <nav class="navbar navbar-static-top" role="navigation">

        <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
        </a>

        <div class="navbar-custom-menu">

            <ul class="nav navbar-nav">

                <!-- Messages: style can be found in dropdown.less-->
                <li class="dropdown messages-menu">

                    <ul class="dropdown-menu">

                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu">
                                <li><!-- start message -->
                                    <a href="#">
                                        <div class="pull-left">
                                            <img src="<?= $directoryAsset ?>/img/icon.png" class="img-circle"
                                                 alt="User Image"/>
                                        </div>
                                        <h4>
                                            Support Team
                                            <small><i class="fa fa-clock-o"></i> 5 mins</small>
                                        </h4>
                                        <p>Why not buy a new awesome theme?</p>
                                    </a>
                                </li>
                                <!-- end message -->
                                <li>
                                    <a href="#">
                                        <div class="pull-left">
                                            <img src="<?= $directoryAsset ?>/img/user3-128x128.jpg" class="img-circle"
                                                 alt="user image"/>
                                        </div>
                                        <h4>
                                            AdminLTE Design Team
                                            <small><i class="fa fa-clock-o"></i> 2 hours</small>
                                        </h4>
                                        <p>Why not buy a new awesome theme?</p>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <div class="pull-left">
                                            <img src="<?= $directoryAsset ?>/img/user4-128x128.jpg" class="img-circle"
                                                 alt="user image"/>
                                        </div>
                                        <h4>
                                            Developers
                                            <small><i class="fa fa-clock-o"></i> Today</small>
                                        </h4>
                                        <p>Why not buy a new awesome theme?</p>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <div class="pull-left">
                                            <img src="<?= $directoryAsset ?>/img/user3-128x128.jpg" class="img-circle"
                                                 alt="user image"/>
                                        </div>
                                        <h4>
                                            Sales Department
                                            <small><i class="fa fa-clock-o"></i> Yesterday</small>
                                        </h4>
                                        <p>Why not buy a new awesome theme?</p>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <div class="pull-left">
                                            <img src="<?= $directoryAsset ?>/img/user4-128x128.jpg" class="img-circle"
                                                 alt="user image"/>
                                        </div>
                                        <h4>
                                            Reviewers
                                            <small><i class="fa fa-clock-o"></i> 2 days</small>
                                        </h4>
                                        <p>Why not buy a new awesome theme?</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="footer"><a href="#">See All Messages</a></li>
                    </ul>
                </li>
                <li class="dropdown notifications-menu">    
                    </a>
                    <ul class="dropdown-menu">

                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu">
                                <li>

                                </li>


                                <li>
                                    <a href="#">
                                        <i class="fa fa-user text-red"></i> You changed your username
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="footer"><a href="#">View all</a></li>
                    </ul>
                </li>
                <!-- Tasks: style can be found in dropdown.less -->
                <li class="dropdown tasks-menu">
                    <ul class="dropdown-menu">

                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu">
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Design some buttons
                                            <small class="pull-right">20%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-aqua" style="width: 20%"
                                                 role="progressbar" aria-valuenow="20" aria-valuemin="0"
                                                 aria-valuemax="100">
                                                <span class="sr-only">20% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Create a nice theme
                                            <small class="pull-right">40%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-green" style="width: 40%"
                                                 role="progressbar" aria-valuenow="20" aria-valuemin="0"
                                                 aria-valuemax="100">
                                                <span class="sr-only">40% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Some task I need to do
                                            <small class="pull-right">60%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-red" style="width: 60%"
                                                 role="progressbar" aria-valuenow="20" aria-valuemin="0"
                                                 aria-valuemax="100">
                                                <span class="sr-only">60% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Make beautiful transitions
                                            <small class="pull-right">80%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-yellow" style="width: 80%"
                                                 role="progressbar" aria-valuenow="20" aria-valuemin="0"
                                                 aria-valuemax="100">
                                                <span class="sr-only">80% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                            </ul>
                        </li>
                        <li class="footer">
                            <a href="#">View all tasks</a>
                        </li>
                    </ul>
                </li>
                <!-- User Account: style can be found in dropdown.less -->

                <li class="dropdown user user-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <img src="<?= $directoryAsset ?>/img/1.jpg" class="user-image" alt="User Image"/>
                        <span class="hidden-xs"><?php
                            if (!Yii::$app->user->isGuest) {
                                echo Yii::$app->user->identity->user_name;
                            } else {
                                echo 'Guest';
                            }
                            ?></span>
                    </a>

                    <ul class="dropdown-menu">

                        <!-- notification -->
                        <li class="dropdown notifications-menu">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-bell-o"></i>
                                <span class="label label-warning">
                                    <?php
                                    if (!Yii::$app->user->isGuest) {



                                        $mus = Yii::$app->user->identity->id;
//                                            die("".$mus);
                                        $akunID = \common\models\HrdxPegawai::findOne(array('akun_id' => $mus));

                                        $muso = \common\models\SikkAkun::findOne(array('akun_id' => $mus));
                                        
                                        $mhs_id = common\models\DimxDim::findOne(array('akun_id' => $mus));

                                        $roleID = $muso->role_id;


                                        if ($roleID == 2) {
                                            //dosen

                                            $roleks = 0;
                                            $connection = Yii::$app->getDb();
                                            $command = $connection->createCommand("SELECT COUNT(b.izin_keluar_id) as musang  FROM sikk_approval a LEFT JOIN sikk_izin_keluar b  
                                                        ON a.`izin_keluar_id` = b.`izin_keluar_id`
                                                        WHERE a.`approver_id` = " . $akunID->pegawai_id . ' and b.status=' . $roleks . ' and a.`status_approval` = ' . $roleks);

                                            $result = $command->queryAll();
                                            
                                            echo "Kamu memiliki " . $result[0]["musang"] . " untuk diresponse";
                                            
                                            
                                        } else if ($roleID == 3) {
                                            //keasramaan

                                            $roleks = 2;
                                            $connection = Yii::$app->getDb();
                                            $command = $connection->createCommand("SELECT COUNT(b.izin_keluar_id) as musang  FROM sikk_approval a LEFT JOIN sikk_izin_keluar b  
                                                        ON a.`izin_keluar_id` = b.`izin_keluar_id`
                                                        WHERE a.`approver_id` = " . $akunID->pegawai_id . ' and b.status=' . $roleks . ' and a.`status_approval` = ' . $roleks);

                                            $result = $command->queryAll();

                                            echo "Kamu memiliki " . $result[0]["musang"] . " untuk diresponse";
                                        } else if ($roleID == 4) {
                                            //dosen wali

                                            $roleks = 1;
                                            $connection = Yii::$app->getDb();
                                            $command = $connection->createCommand("SELECT COUNT(b.izin_keluar_id) as musang  FROM sikk_approval a LEFT JOIN sikk_izin_keluar b  
                                                        ON a.`izin_keluar_id` = b.`izin_keluar_id`
                                                        WHERE a.`approver_id` = " . $akunID->pegawai_id . ' and b.status=' . $roleks . ' and a.`status_approval` = 5 ');

                                            $result = $command->queryAll();

                                            echo "Kamu memiliki " . $result[0]["musang"] . " untuk diresponse";
                                        } else if ($roleID == 1) {
                                            //mahasiswa
                                                
                                            $roleks = 3;
                                            
//                                            $mhs_id;
                                            
                                            $connection = Yii::$app->getDb();
                                            $command = $connection->createCommand("SELECT COUNT(izin_keluar_id) as musang FROM sikk_izin_keluar WHERE mhs_id = ".$mhs_id->dim_id." AND STATUS = 3");
                                            $result = $command->queryAll();
                                            
                                            
                                            $commands = $connection->createCommand("SELECT COUNT(izin_keluar_id) as musang FROM sikk_izin_keluar WHERE mhs_id = ".$mhs_id->dim_id." AND STATUS = 33");
                                            $results = $commands->queryAll();
                                            
                                            $commandss = $connection->createCommand("SELECT COUNT(izin_keluar_id) AS musang FROM sikk_izin_keluar WHERE mhs_id = ".$mhs_id->dim_id." AND STATUS != 33 AND STATUS !=3");
                                            $resultss = $commandss->queryAll();
                                            
                                            
                                            echo "Kamu memiliki " . $result[0]["musang"] . " izin keluar yang sudah diterima";
                                            echo '<br>';
                                            echo "Kamu memiliki " . $results[0]["musang"] . " izin keluar yang sudah ditolak";
                                            echo '<br>';
                                            echo "Kamu memiliki " . $resultss[0]["musang"] . " izin keluar yang masih diprogress";
                                            echo '<br>';
                                        }
                                    }
                                    ?>


                                </span>
                            </a>

                            <ul class="dropdown-menu">
                                <li class="header">You have 10 notifications</li>
                                <li>
                                    <!-- inner menu: contains the actual data -->
                                    <ul class="menu">
                                        <li>
                                            <a href="#">
                                                <i class="fa fa-users text-aqua"></i> 5 new members joined today
                                            </a>
                                        </li>
                                    </ul>
                                </li>
                                <li class="footer"><a href="#">View all</a></li>
                            </ul>
                        </li>
                        <!-- END -->
                        <!-- User image -->
                        <li class="user-header">
                            <img src="<?= $directoryAsset ?>/img/1.jpg" class="img-circle"
                                 alt="User Image"/>

                            <p>
                                <?php
                                if (!Yii::$app->user->isGuest) {
                                    echo Yii::$app->user->identity->user_name;
                                } else {
                                    echo 'Guest';
                                }
                                ?>
                                <small>Kota Siantar</small>
                            </p>
                        </li>
                        <!-- Menu Body -->
                        <li class="user-body">
                            <div class="col-xs-2 text-center">
                            </div>
                            <div class="col-xs-4 text-center">
                                <?php
                                if (!Yii::$app->user->isGuest) {
                                    echo Html::a(
                                            'Change Password', ['/akun/ubahpassword', 'id' => Yii::$app->user->identity->id], ['data-method' => 'post', 'class' => 'btn btn-default btn-flat']
                                    );
                                } else {
                                    echo "";
                                }
                                ?>
                            </div>
                            <div class="col-xs-4 text-center">
                            </div>
                        </li>
                        <!-- Menu Footer-->
                        <li class="user-footer">
                            <div class="pull-left">
                                <?php
                                if (!Yii::$app->user->isGuest) {
                                    echo Html::a(
                                            'Profile', ['/akun/view', 'id' => Yii::$app->user->identity->id], ['data-method' => 'post', 'class' => 'btn btn-default btn-flat']
                                    );
                                } else {
                                    echo "";
                                }
                                ?>
                            </div>
                            <div class="pull-right">
                                <?php
                                if (!Yii::$app->user->isGuest) {
                                    echo Html::a(
                                            'Sign out', ['/site/logout'], ['data-method' => 'post', 'class' => 'btn btn-default btn-flat']
                                    );
                                } else {
                                    echo "";
                                }
                                ?>
                            </div>
                        </li>
                    </ul>
                </li>

                <!-- User Account: style can be found in dropdown.less -->
                <li>
                    <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
                </li>
            </ul>
        </div>
    </nav>
</header>
